# PreLoadEnd

End a segment of code that may be preloaded (run twice) to get accurate timings

### Synopsis

    void PreLoadEnd(void);

### Usage

         PreLoadBegin(PETSC_TRUE,"first stage);
           lines of code
           PreLoadStage("second stage");
           lines of code
         PreLoadEnd();

Notes: only works in C/C++ not fortran

### See Also

PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd(), PreLoadBegin(), PreLoadStage()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex31.c.html